<?php
class Connect_DB {

	const GC_CONNECT_DB 		 = 'mysql.gcampaner.com.br';
	const GC_CONNECT_DB_NAME 	 = 'gcampaner_gchelp-v2';
	const GC_CONNECT_DB_USER 	 = 'gcmysql';
	const GC_CONNECT_DB_PASSWORD = 'Muitosucesso';

	public $connect_db;


	public function __construct() {
		$connect_db = new mysqli( self::GC_CONNECT_DB, self::GC_CONNECT_DB_USER, self::GC_CONNECT_DB_PASSWORD, self::GC_CONNECT_DB_NAME );

		if ( mysqli_connect_errno() ) {
			printf("Falha na conexão: %s\ ", mysqli_connect_error());
			add_action( 'admin_notices', array( $this, 'gchelp_notice_error_response' ) );
			return false;
		}

		$this->connect_db = $connect_db;
	}

	# Confere no banco de dados do WH
	public function exec_query( $sql ) {
		if ( $this->connect_db != '' ) {
			$q = mysqli_query( $this->connect_db, $sql ) or print( '<b>'. $sql . "</b> - " . mysqli_error($this->connect_db) );
			return ($q);
		}
		return false;
	}


	# Atualiza tempo do Login
	public function atualiza_login($url) {
		self::exec_query("
		UPDATE gchelp_users
		SET last_login = '".date("Y-m-d")."'
		WHERE url = '".$url."'");
	}


	# Atualiza push check
	public function atualiza_push($url) {
		self::exec_query("
		UPDATE gchelp_users
		SET last_push_check = '".date("Y-m-d")."'
		WHERE url = '".$url."'");
	}


	# Confere a data do último post no GC Help
	public function check_ultimo_post() {
		$query  = self::exec_query("
			SELECT post_date 
			FROM wp_posts p
			WHERE p.post_status = 'publish'
			AND p.post_type = 'post'
			ORDER BY p.post_date DESC LIMIT 1 ");

		$result = mysqli_fetch_assoc( $query );

		return $result['post_date'];
	}

	# Confere o usuário no WH, caso não tiver, insere no BD
	public function checa_usuario_wh( $url ) {

		$query  = self::exec_query( "SELECT * FROM gchelp_users  WHERE url = '" . $url . "'" );
		$result = mysqli_fetch_assoc( $query );
		$today  = date('Y-m-d');

		// Caso tiver usuário cadastrado
		if ( $result['url'] ) {
			return array(
				"id" 				=> $result['id'],
				"url" 				=> $result['url'],
				"last_login" 		=> $result['last_login'],
				"last_push_check"	=> $result['last_push_check'],
				"plan" 				=> $result['plan'],
				"data_cadastro" 	=> $result['data_cadastro']
			);
		} else {
			$query  = self::exec_query("INSERT INTO gchelp_users (url,last_login,last_push_check, plan, data_cadastro)
        								VALUES ('".$url."', '".$today."', '0000-00-00', 'free', '".$today."')");
			return;
		}
	}


	// ***************************** NOTICES ADMIN ***************************//
	/**
	 *
	 * SHOW NOTICE IN WORDPRESS ADMIN
	 *
	 * @return string <notices>
	*/      
	// ***********************************************************************//
	public function gchelp_notice_error_response() { ?>
	    <div class="notice notice-error is-dismissible">
	        <p><?php _e( 'GC-Help <span class="dashicons dashicons-arrow-right-alt"></span> Error ao conectar com BD. Contate o suporte para resolver esse problema.', 'sample-text-domain' ); ?></p>
	    </div>
    <?php }

}